\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 3D Spherical Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Exact_spherical_kernel_3 Class Reference
Geometric Kernel and Classes

`#include <CGAL/Exact_spherical_kernel_3.h>`

## Definition

A typedef to a spherical kernel that provides both exact geometric predicates and exact geometric constructions.

It defines the same types as `CGAL::Spherical_kernel_3`.

Is Model Of:
  `SphericalKernel`

Examples:
  Circular_kernel_3/functor_compare_theta_3.cpp, Circular_kernel_3/functor_has_on_3.cpp, and Circular_kernel_3/intersecting_spheres.cpp.